# Class SandTombTag

#### Hierarchy (view full)

- DamagingTrapTag
  - SandTombTag

- Defined in src/data/battler-tags.ts:772

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getTrapMessage
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new SandTombTag(turnCount, sourceId): SandTombTag

- #### Parameters

  - turnCount: number
  - sourceId: number

  #### Returns SandTombTag

  Overrides DamagingTrapTag.constructor

  - Defined in src/data/battler-tags.ts:773

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from DamagingTrapTag.lapseType

- Defined in src/data/battler-tags.ts:33

### `Optional` sourceId

sourceId?: number

Inherited from DamagingTrapTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from DamagingTrapTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### tagType

tagType: BattlerTagType

Inherited from DamagingTrapTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from DamagingTrapTag.turnCount

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from DamagingTrapTag.canAdd

  - Defined in src/data/battler-tags.ts:697

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from DamagingTrapTag.getDescriptor

  - Defined in src/data/battler-tags.ts:140

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from DamagingTrapTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### getTrapMessage

- getTrapMessage(pokemon): string

- #### Parameters

  - pokemon: default

  #### Returns string

  Overrides DamagingTrapTag.getTrapMessage

  - Defined in src/data/battler-tags.ts:777

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from DamagingTrapTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:144

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from DamagingTrapTag.lapse

  - Defined in src/data/battler-tags.ts:701

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from DamagingTrapTag.loadTag

  - Defined in src/data/battler-tags.ts:692

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from DamagingTrapTag.onAdd

  - Defined in src/data/battler-tags.ts:128

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from DamagingTrapTag.onOverlap

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from DamagingTrapTag.onRemove

  - Defined in src/data/battler-tags.ts:134